Bug 1188530 - (phpdocumentor/reflection-docblock) Review Request: php-phpdocumentor-reflection-docblock - DocBlock parser
Review Request: php-phpdocumentor-reflection-docblock - DocBlock parser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: phpspec/prophecy
  Show dependency treegraph
 
Reported: 2015-02-03 02:07 EST by Remi Collet
Modified: 2015-03-11 12:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-phpdocumentor-reflection-docblock-2.0.4-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 07:33:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (5.69 KB, text/plain)
2015-02-21 21:51 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.18 KB, text/plain)
2015-02-21 21:53 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-02-03 02:07:49 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/33be6923365462301ee2e0da858866f3a3da5683/php/php-phpdocumentor-reflection-docblock/php-phpdocumentor-reflection-docblock.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-phpdocumentor-reflection-docblock-2.0.3-2.remi.src.rpm
Description: 
The ReflectionDocBlock component of phpDocumentor provides a DocBlock
parser that is fully compatible with the PHPDoc standard.

With this component, a library can provide support for annotations via
DocBlocks or otherwise retrieve information that is embedded in a DocBlock.

Fedora Account System Username: remi


-- 
As usually, I will cleanup the EL-5 stuff after import.

This is a new dependency of phpcompatinfo 4 and phpunit 4.5 (for prophecy)
Comment 2 Shawn Iwinski 2015-02-21 21:51:28 EST
Created attachment 994212 [details]
phpcompatinfo.log

phpCompatInfo version 3.7.2
Comment 3 Shawn Iwinski 2015-02-21 21:53:00 EST
Created attachment 994213 [details]
fedora-review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1188530
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 Shawn Iwinski 2015-02-21 21:54:57 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



In your comments for optional pkgs from composer.json you list
#        "dflydev/markdown": "1.0.*",
#        "erusev/parsedown": "~0.7"

but both should be "~1.0"



No blockers.



===== APPROVED =====
Comment 5 Remi Collet 2015-02-22 02:33:58 EST
Thanks for the review!

New Package SCM Request
=======================
Package Name: php-phpdocumentor-reflection-docblock
Short Description: DocBlock parser
Upstream URL: https://github.com/phpDocumentor/ReflectionDocBlock
Owners: remi
Branches: f21 f22 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2015-02-23 16:04:25 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-02-24 02:42:44 EST
php-phpdocumentor-reflection-docblock-2.0.4-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-phpdocumentor-reflection-docblock-2.0.4-1.el7
Comment 8 Fedora Update System 2015-02-24 02:42:49 EST
php-phpdocumentor-reflection-docblock-2.0.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-phpdocumentor-reflection-docblock-2.0.4-1.fc21
Comment 9 Fedora Update System 2015-02-24 16:21:19 EST
php-phpdocumentor-reflection-docblock-2.0.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 10 Fedora Update System 2015-03-05 07:33:39 EST
php-phpdocumentor-reflection-docblock-2.0.4-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 11 Fedora Update System 2015-03-11 12:40:44 EDT
php-phpdocumentor-reflection-docblock-2.0.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.